### Function

# GObject signal_accumulator_true_handled

since: 2.4

#### Declaration

    gboolean
    g_signal_accumulator_true_handled (
      GSignalInvocationHint* ihint,
      GValue* return_accu,
      const GValue* handler_return,
      gpointer dummy
    )

#### Description

A predefined `GSignalAccumulator` for signals that return a boolean values. The behavior that this accumulator gives is that a return of `TRUE` stops the signal emission: no further callbacks will be invoked, while a return of `FALSE` allows the emission to continue. The idea here is that a `TRUE` return indicates that the callback handled the signal, and no further handling is needed.

Available since: 2.4

#### Parameters

`ihint`

  Type: `GSignalInvocationHint`

  Standard `GSignalAccumulator` parameter.

  The data is owned by the caller of the function.

`return_accu`

  Type: `GValue`

  Standard `GSignalAccumulator` parameter.

  The data is owned by the caller of the function.

`handler_return`

  Type: `GValue`

  Standard `GSignalAccumulator` parameter.

  The data is owned by the caller of the function.

`dummy`

  Type: `gpointer`

  Standard `GSignalAccumulator` parameter.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Standard `GSignalAccumulator` result.